function [xis] = gaussSeidel (x0, A, b, N)

xNew = zeros( length(b), 1);
n = size(A,1);
xis = [];
x = x0;
      
       
for k=1:N
         xNew(1) = 1/A(1,1) * (b(1) -  A(1,2:n) * x(2:n));
         x = xNew;
    for i=2:n
         xNew(i) = 1/A(i,i) * (b(i) - A(i,1:i-1) * x(1:i-1) - A(i,i+1:n) * x(i+1:n));
         x = xNew;
    end
    xis = [xis xNew];
end
end
